# SPDX-FileCopyrightText: 2018 Bruce Cowan <bruce@bcowan.me.uk>
#
# SPDX-License-Identifier: LGPL-3.0-or-later

from gi.repository import GLib, GObject, Gtk, Pango


class DigitalClock(Gtk.Label):
    """A label which shows the current time"""

    def __init__(self):
        Gtk.Label.__init__(self)

        self._update_clock()
        GLib.timeout_add_seconds(1, self._update_clock)

        ctx = self.get_style_context()
        ctx.add_class('clock-label')

    def _update_clock(self):
        now = GLib.DateTime.new_now_local()
        text = now.format("%d/%m/%y %H∶%M∶%S")
        self.set_label(text)
        return True
